<template name="eventDisplay">
  <div class="page-component">
    {{#if mayEdit this}}
      {{#if singleEvent}}
        <nav>
          <ul class="nav nav-tabs" role="tablist">
            <li class="nav-item" role="presentation">
              <button class="nav-link active" id="description-tab" data-bs-toggle="tab"
                      data-bs-target="#description" type="button" role="tab"
                      aria-controls="description" aria-selected="true">
                <span class="fa-solid fa-file-lines fa-fw" aria-hidden="true"></span>
                <span class="tab-label">{{i18n 'course.subnav.descr' 'Description'}}</span>
              </button>
            </li>
            <li class="nav-item" role="presentation">
              <button class="nav-link" id="files-tab" data-bs-toggle="tab" data-bs-target="#files"
                      type="button" role="tab" aria-controls="files" aria-selected="false">
                <span class="fa-solid fa-file fa-fw" aria-hidden="true"></span>
                <span class="tab-label">{{i18n 'course.subnav.files' 'Files'}}</span>
              </button>
            </li>
          </ul>
        </nav>
        <div class="tab-content border-none">
          <div class="tab-pane mh-none overflow-visible active" id="description" role="tabpanel"
               aria-labelledby="description-tab" tabindex="0">
            {{> eventContent}}
          </div>
          <div class="tab-pane" id="files" role="tabpanel" aria-labelledby="files-tab" tabindex="0">
            <div class="p-3">
              {{> courseFiles course=course}}
            </div>
          </div>
        </div>
      {{else}}
        {{> eventContent}}
      {{/if}}
    {{else}}
      {{> eventContent}}
    {{/if}}
    {{#if replicating}}
      {{> eventReplication}}
    {{else}}
      {{#if (mayEdit this)}}
        <div class="actions">
          {{#unless isExpanded}}
            {{> buttonEdit event="js-event-edit"}}
            <button type="button" class="btn btn-edit js-show-replication">
              {{i18n 'event.details.repl_menu_btn' 'Repeat'}}
            </button>
            <a class="btn btn-edit js-download js-track-cal-download"
               href="{{pathFor 'calEvent' this}}"
               title="{{i18n 'event.detail.download_cal' 'Download event to my calendar' attr=true}}">
              {{i18n 'event.details.download' 'Download'}}
            </a>
            {{#unless this.canceled}}
              <button type="button" class="btn btn-remove js-cancel">
                {{i18n 'event.details.cancel' 'Cancel this event'}}
              </button>
            {{else}}
              <button type="button" class="btn btn-edit js-event-uncancel">
                {{i18n 'event.details.uncancel' 'Uncancel this event'}}
              </button>
            {{/unless}}
            {{> buttonDelete event="js-expand"}}
          {{/unless}}
        </div>
        {{#if expanded}}
          {{> eventDeleteConfirmDialog deleteConfirmDialogAttr}}
        {{/if}}
        {{#if instance.canceling.get}}
          {{> cancelConfirmDialog cancelConfirmDialogAttr}}
        {{/if}}
      {{/if}}
    {{/if}}
  </div>
</template>

<template name="cancelConfirmDialog">
  <div class="event-cancel-confirm">
    <p>{{i18n 'event.reallycancel' 'Please confirm the cancellation of this event. It will be displayed as "canceled" and {NUM, plural, one{one attending user} other{all attending # users} } will be automatically informed by email about the cancellation of this event.' NUM=event.participants.length}}
    </p>
    {{#if event.participants.length}}
      <label class="form-label" for="event-cancel-message">
        {{i18n 'event.cancel.reason' 'Reason'}}
      </label>
      <div class="mb-3">
        <div class="input-group">
          <span class="input-group-text">
            <span class="fa-solid fa-pencil fa-fw" aria-hidden="true"></span>
          </span>
          <textarea rows="3" class="form-control js-event-cancel-message" id="event-cancel-message"
                    maxlength="2000"
                    placeholder="{{i18n 'event.cancel.reason.placeholder' 'Please add a reason here. (This message will be sent to all the registered users and not be visible here afterwards)' attr=true}}"></textarea>
        </div>
      </div>
    {{/if}}
    <div class="form-actions">
      {{> buttonDeleteConfirm
				event="js-event-cancel"
				textIdle=(i18n 'event.cancel.confirm.button' 'Cancel {EVENT}' EVENT=event.title)
				textBusy=(i18n 'event.canceling' 'Canceling...')
			}}
      <button type="button" class="btn btn-edit js-cancel-event-close">
        {{i18n 'event.details.close' 'Close'}}
      </button>
    </div>
  </div>
</template>
